CREATE TABLE ce_cp_option_time_dims (
    CP_OPTION_TIME_DIM_ID     NUMBER(18, 0),
    ACCOUNTING_CALENDAR_ID    NUMBER(18, 0)    NOT NULL,
    LOCK_FLAG                 VARCHAR2(4)      NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    CP_OPTION_TIME_DIM_ID     NUMBER(18, 0),
    ACCOUNTING_CALENDAR_ID    NUMBER(18, 0)    NOT NULL,
    LOCK_FLAG                 VARCHAR2(4)      NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_ce_cp_option_time_dims PRIMARY KEY (CP_OPTION_TIME_DIM_ID, CP_OPTION_TIME_DIM_ID)
);
